libzypp 17.37.10

zyppng::ProvideQueue::Item Struct Reference

`#include <zypp-media/ng/private/providequeue_p.h>`

## Public Types
enum | State { Pending , Queued , Running , Cancelling , Finished }

## Public Member Functions
bool | isAttachRequest () const
bool | isFileRequest () const
bool | isDetachRequest () const

## Public Attributes
State | _state = Pending
ProvideRequestRef | _request

## Detailed Description

Definition at line 40 of file providequeue_p.h.

## Member Enumeration Documentation

## ◆ State

enum zyppng::ProvideQueue::Item::State

Enumerator
Pending |
Queued |
Running |
Cancelling |
Finished |

Definition at line 42 of file providequeue_p.h.

## Member Function Documentation

## ◆ isAttachRequest()

bool zyppng::ProvideQueue::Item::isAttachRequest | ( |  | ) | const

Definition at line 27 of file providequeue.cc.

## ◆ isFileRequest()

bool zyppng::ProvideQueue::Item::isFileRequest | ( |  | ) | const

Definition at line 34 of file providequeue.cc.

## ◆ isDetachRequest()

bool zyppng::ProvideQueue::Item::isDetachRequest | ( |  | ) | const

Definition at line 41 of file providequeue.cc.

## Member Data Documentation

## ◆ _state

State zyppng::ProvideQueue::Item::_state = Pending

Definition at line 49 of file providequeue_p.h.

## ◆ _request

ProvideRequestRef zyppng::ProvideQueue::Item::_request

Definition at line 54 of file providequeue_p.h.

The documentation for this struct was generated from the following files:

- zypp-media/ng/private/providequeue_p.h
- zypp-media/ng/providequeue.cc